> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Code Evaluation Criteria Versions

> 
Retrieve all versions of a code evaluation criteria. `page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id}/versions
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id}/versions:
    get:
      tags:
        - Evaluation Criteria
      summary: List Code Evaluation Criteria Versions
      description: >-

        Retrieve all versions of a code evaluation criteria. `page_size`
        defaults to 30, maximum 100.
      operationId: get_list_code_eval_versions
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: criteria_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/CreateCodeEvalVersionResponse'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: CodeEvalVersionListResponse
                type: object
          description: >-
            CodeEvalVersionListResponse(data:
            list[server.api_routes.code_eval_criteria_api_v2.CreateCodeEvalVersionResponse],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    CreateCodeEvalVersionResponse:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        version_number:
          title: Version Number
          type: integer
        eval_code:
          title: Eval Code
          type:
            - string
            - 'null'
        criteria_type:
          $ref: '#/components/schemas/AutoEvalCriteriaType'
        is_deployed:
          title: Is Deployed
          type: boolean
        created_at:
          title: Created At
          type: string
      required:
        - id
        - version_number
        - eval_code
        - criteria_type
        - is_deployed
        - created_at
      title: CreateCodeEvalVersionResponse
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
    AutoEvalCriteriaType:
      enum:
        - 1-5
        - 1-3
        - 1-100
        - yes-no
        - multi-select
        - text
        - auto-categorization
        - code-bool
        - code-float
      title: AutoEvalCriteriaType
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````